import cv2
import numpy as np


def crop(pil_image):
    cv_image = np.array(pil_image)

    _, thresh = cv2.threshold(cv_image, 0, 255, cv2.THRESH_BINARY_INV + cv2.THRESH_OTSU)
    contours, _ = cv2.findContours(thresh, cv2.RETR_EXTERNAL, cv2.CHAIN_APPROX_SIMPLE)

    detected_images = []
    contours = sorted(contours, key=lambda contour: cv2.boundingRect(contour)[0])

    for i in range(len(contours)):
        x, y, w, h = cv2.boundingRect(contours[i])
        cropped_image = cv_image[y:y + h, x:x + w]
        resized_image = cv2.resize(cropped_image, (128, 128), interpolation=cv2.INTER_AREA)
        detected_images.append(resized_image)
    return detected_images


def find_translation(list_of_signs):
    grd = ",".join(list_of_signs) + ","
    with open("./assets/LanguageModel_Lexicon.txt", "r") as file:
        for line in file:
            parts = line.split(';')
            if parts[0] == grd:
                return parts[2]
    return "Doesn't have translation"
