from PIL import Image, ImageDraw, ImageFont


def generate_text_image(hieroglyphs_text, title):
    font_path = './assets/NotoSansEgyptianHieroglyphs-Regular.ttf'
    font_size = 120
    font = ImageFont.truetype(font_path, font_size)

    temp_img = Image.new('L', (1, 1), color='white')
    temp_draw = ImageDraw.Draw(temp_img)

    ascent, descent = font.getmetrics()
    text_height = ascent + descent
    text_width = temp_draw.textlength(hieroglyphs_text, font=font)
    img = Image.new('L', (int(text_width), text_height), color='white')
    d = ImageDraw.Draw(img)

    d.text((0, 0), hieroglyphs_text, font=font, fill=0)

    img.save(f"./test_images/{title}.jpg")


if __name__ == "__main__":
    generate_text_image("𓄿𓍿𓅱𓏏𓆱", "bed")
